summaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
* udev-cache: avoid using '-L' for statChenQi/udev-cache-statChen Qi2015-01-272-2/+2
| | | | | | | | | | | | | stat command from stat package doesn't support '-L' option, so avoid using it to get rid of boot errors like below. Populating dev cache stat: invalid option -- 'L' Usage: stat [-l] [-f] [-s] [-v] [-h] [-t] [-c format] file1 [file2 ...] [YOCTO #7210] Signed-off-by: Chen Qi <Qi.Chen@windriver.com>
* gstreamer1.0-omx: use mulitple SCMs to fetch submodulesAwais Belal2014-12-311-3/+8
| | | | | | | | | | | | | The gstreamer omx package uses a submodule 'common' which is fetched by the configure script. This approach fails on non-network builds as the fetcher tries to look upstream for the submodule. We now use multiple SCMs, one for the main omx package and the other for the 'common' submodule so it is available in the downloads_dir for later use. Signed-off-by: Awais Belal <awais_belal@mentor.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* image.bbclass: Remove 'set_image_autologin' functionOtavio Salvador2014-12-311-6/+0
| | | | | | | | | | The set_image_autologin function is GPE Login specific and the package is not available in OE-Core so the function should be added in the meta-gpe layer, if necessary. Drop this from the OE-Core as it is unused. Signed-off-by: Otavio Salvador <otavio@ossystems.com.br> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* telepathy: remove (moved to meta-oe)Ross Burton2014-12-3112-358/+0
| | | | | | | Nothing in oe-core uses Telepathy, so move these recipes to meta-oe. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* lttng-ust: Update to 2.5.2 versionOtavio Salvador2014-12-311-2/+1
| | | | | Signed-off-by: Otavio Salvador <otavio@ossystems.com.br> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* lttng-tools: Update to 2.5.3 versionOtavio Salvador2014-12-311-2/+1
| | | | | Signed-off-by: Otavio Salvador <otavio@ossystems.com.br> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* lttng-modules: Update to revision to 16d7431c3Otavio Salvador2014-12-316-383/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | This update the source code to the 2.5.2 version and also brings two fixes from stable-2.5 branch. The update also allowed the removal of some already applied patches from the metadata. Doing this update, it fixes following build error: ,---- | make[1]: Entering directory `.../build-framebuffer/tmp/sysroots/imx23evk/usr/src/kernel' | | ERROR: Kernel configuration is invalid. | include/generated/autoconf.h or include/config/auto.conf are missing. | Run 'make oldconfig && make prepare' on kernel src to fix it. | | Building modules, stage 2. | ./scripts/Makefile.modpost:42: include/config/auto.conf: No such file or directory | make[2]: *** No rule to make target `include/config/auto.conf'. Stop. | make[1]: *** [modules] Error 2 | make[1]: Leaving directory `.../build-framebuffer/tmp/sysroots/imx23evk/usr/src/kernel' | make: *** [default] Error 2 `---- Signed-off-by: Otavio Salvador <otavio@ossystems.com.br> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libinput: update to 0.7.0Armin Kuster2014-12-311-2/+2
| | | | | Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* mmc-utils: update to latest git versionArmin Kuster2014-12-311-1/+1
| | | | | Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* oeqa/selftest: fix test_incremental_image_generation for changes in log outputYi Zhao2014-12-311-4/+7
| | | | | | | | | | | | | | | | | | | | | | test_incremental_image_generation case failed because the log output chanaged: FAIL: test_incremental_image_generation (oeqa.selftest.buildoptions.ImageOptionsTests) ---------------------------------------------------------------------- Traceback (most recent call last): File "/buildarea3/yzhao1/poky-build/meta/lib/oeqa/utils/decorators.py", line 90, in wrapped_f return func(*args) File "/buildarea3/yzhao1/poky-build/meta/lib/oeqa/selftest/buildoptions.py", line 25, in test_incremental_image_generation self.assertEqual(0, res.status, msg="No match for openssh-sshd in log.do_rootfs") AssertionError: 0 != 1 : No match for openssh-sshd in log.do_rootfs ---------------------------------------------------------------------- Using re search instead grep Signed-off-by: Yi Zhao <yi.zhao@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gstreamer1.0-rtsp-server: upgrade to 1.4.5Ross Burton2014-12-312-6/+6
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gstreamer1.0-libav: upgrade to 1.4.5Ross Burton2014-12-311-3/+4
| | | | | | | License checksum changed as the file list in the license was revised. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gstreamer1.0-plugins-ugly: upgrade to 1.4.5Ross Burton2014-12-311-2/+4
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gstreamer1.0-plugins-good: upgrade to 1.4.5Ross Burton2014-12-311-3/+3
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gstreamer1.0-plugins-bad: upgrade to 1.4.5Ross Burton2014-12-311-2/+3
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gstreamer1.0-plugins-base: upgrade to 1.4.5Ross Burton2014-12-312-2/+3
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gstreamer1.0: upgrade to 1.4.5Ross Burton2014-12-311-2/+3
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* oeqa/parselogs: Add harmless failure warning introduced by new qemu version ↵Richard Purdie2014-12-311-0/+1
| | | | | | on qemuppc Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* qemu: upgrade to 2.2.0Kai Kang2014-12-312-5/+9
| | | | | | | | | | Upgrade qemu from version 2.1.2 to 2.2.0. Update Qemu-Arm-versatilepb-Add-memory-size-checking.patch for new version qemu. Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* gstreamer1.0-plugins-base: Taglist will not be sent to downstream if all the ↵Zidan Wang2014-12-312-0/+58
| | | | | | | | | | | | frame corrupted Add patch to fix the issue that taglist will not be sent to downstream if the tag is EOS. https://bugzilla.gnome.org/show_bug.cgi?id=737246 Signed-off-by: Zidan Wang <b50113@freescale.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* gstreamer1.0-plugins-good: Decrease the rank as havn't this kind of decoder ↵Zidan Wang2014-12-312-0/+26
| | | | | | | | | | | | | for asteriskh263 When streaming H263 stream on RTSP, asteriskh263 will be loaded, but it can't find this kind of video decoder. So decrease the rank as havn't this kind of decoder. https://bugzilla.gnome.org/show_bug.cgi?id=739935 Signed-off-by: Zidan Wang <b50113@freescale.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* xcb-util-keysyms: upgrade to 0.4.0Ross Burton2014-12-311-3/+2
|
* xcb-util-image: upgrade to 0.4.0Ross Burton2014-12-311-3/+2
| | | | Signed-off-by: Ross Burton <ross.burton@intel.com>
* xcb-util: upgrade to 0.4.0Ross Burton2014-12-311-2/+2
| | | | Signed-off-by: Ross Burton <ross.burton@intel.com>
* xtrans: upgrade to 1.3.5Ross Burton2014-12-311-2/+2
| | | | Signed-off-by: Ross Burton <ross.burton@intel.com>
* libxext: upgrade to 1.3.3Ross Burton2014-12-311-2/+2
|
* gtk+: upgrade to 2.24.25Ross Burton2014-12-3112-365/+2
| | | | | | | | | | | | | | | | Remove patches that are no longer needed: * GtkButton-do-no-prelight: merged upstream * Duplicate-the-exec-string: upstream decided this behaviour is incorrect * cellrenderer-cairo: Cairo isn't the performance bottleneck it once was, drop * configure-nm: resolved upstrea * configurefix.patch: not applied * run-iconcache: not needed when building tarballs, and if gtk-update-icon-cache is needed at build time (e.g. user is customising default icon theme) then they can add a dependency on gtk-update-icon-cache-native. Also remove mention of patches that have been commented out for a long time. Signed-off-by: Ross Burton <ross.burton@intel.com>
* pango: upgrade to 1.36.8Ross Burton2014-12-311-2/+2
| | | | Signed-off-by: Ross Burton <ross.burton@intel.com>
* harfbuzz: upgrade to 0.9.37Ross Burton2014-12-311-2/+3
| | | | Signed-off-by: Ross Burton <ross.burton@intel.com>
* cairo: upgrade to 1.12.8Ross Burton2014-12-312-65/+3
| | | | | | Drop Remove-LTO-support as this patch has been merged upstream. Signed-off-by: Ross Burton <ross.burton@intel.com>
* at-spi2-atk: upgrade to 2.14.1.Ross Burton2014-12-311-2/+2
| | | | Signed-off-by: Ross Burton <ross.burton@intel.com>
* at-spi2-core: upgrade to 2.14.1Ross Burton2014-12-312-45/+3
| | | | | | Drop core_acinclude_m4.patch, merged upstream. Signed-off-by: Ross Burton <ross.burton@intel.com>
* atk: upgrade to 2.14.0Ross Burton2014-12-311-4/+4
| | | | | | | License checksums included some #includes so update the endline to match the license statement. Signed-off-by: Ross Burton <ross.burton@intel.com>
* glib-2.0: Upgrade to 2.42.1Ross Burton2014-12-311-2/+2
| | | | Signed-off-by: Ross Burton <ross.burton@intel.com>
* sqlite3: Upgrade to 3.8.7.4Aníbal Limón2014-12-301-2/+2
| | | | | Signed-off-by: Aníbal Limón <anibal.limon@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* mc: Upgrade to 4.8.13Aníbal Limón2014-12-301-2/+2
| | | | | Signed-off-by: Aníbal Limón <anibal.limon@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* lsof: Upgrade to 4.88Aníbal Limón2014-12-301-2/+2
| | | | | Signed-off-by: Aníbal Limón <anibal.limon@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* acpid: Upgrade to 2.0.23Aníbal Limón2014-12-301-2/+2
| | | | | Signed-off-by: Aníbal Limón <anibal.limon@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* xrandr: Upgrade to 1.4.3Aníbal Limón2014-12-301-2/+2
| | | | | Signed-off-by: Aníbal Limón <anibal.limon@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pciutils: change default value of PACKAGECONFIGChen Qi2014-12-301-1/+1
| | | | | | | Default PACKAGECONFIG value to "hwdb" if 'systemd' is in DISTRO_FEATURES. Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* bind: fix for CVE-2014-8500Sona Sarmadi2014-12-302-0/+991
| | | | | | | | | | | | | [From upstream commit: 603a0e2637b35a2da820bc807f69bcf09c682dce] [YOCTO #7098] External References: =================== https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8500 Signed-off-by: Sona Sarmadi <sona.sarmadi@enea.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* diffutils & diffstat: fix up EXTRA_OECONFChen Qi2014-12-302-2/+2
| | | | | | | | | | | | | The following line is meant to be in diffutils but it was added to diffstat by accident. The commit message which introduced this line says that it's for diffutils. EXTRA_OECONF += "--without-libsigsegv-prefix" This patch fixes this problem. Signed-off-by: Chen Qi <Qi.Chen@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* wpa-supplicant: avoid host contamination of drivers by libnl3Justin Capella2014-12-301-0/+1
| | | | | | | | | (See patch refrenced from OE-core rev: 1c3beda0015da9a0fec2581af7645c9ea122c7e3) Modifies do_configure to inject DRV_CFLAGS variable into wpa_supplicant/.config which is then included during make of drivers. Signed-off-by: Justin Capella <justincapella@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* clutter: enable EGL backend by defaultRoss Burton2014-12-301-1/+2
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* clutter-1.0: add ptestTim Orling2014-12-304-2/+29
| | | | | | | | | | | | | Upstream has reworked installed-tests, use them for ptest. Default output format for tests is not TAP, add patch to generate TAP output. Run tests with gnome-desktop-testing-runner, which understands TAP output. Tested on nuc with core-image-clutter and core-image-weston. Reminder that for "pure" wayland (e.g. core-image-weston) you need to "export CLUTTER_BACKEND = wayland" to get past setting the DISPLAY variable expected for X11 backend. Signed-off-by: Tim Orling <TicoTimo@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* clutter-1.0: upgrade to v1.20.0Tim Orling2014-12-302-8/+8
| | | | | | | | | | | | * The 1.19.x series were "snapshots" and not stable releases. * This is the first stable release beyond the 1.18.x series. * Tested on nuc with core-image-weston. ANNOUNCEMENT: https://mail.gnome.org/archives/clutter-list/2014-September/msg00007.html Signed-off-by: Tim Orling <TicoTimo@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* local.conf.sample: Add qemuarm64Mark Hatle2014-12-301-0/+1
| | | | | | | Add an example machine configuration for qemuarm64. Signed-off-by: Mark Hatle <mark.hatle@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* binutils: several security fixesArmin Kuster2014-12-279-0/+1148
| | | | | | | | | | | | | | | | | CVE-2014-8484 CVE-2014-8485 CVE-2014-8501 CVE-2014-8502 CVE-2014-8503 CVE-2014-8504 CVE-2014-8737 and one supporting patch. [Yocto # 7084] Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* m4: Disable searching for libsigsegvHolger Hans Peter Freyther2014-12-271-0/+1
| | | | | | | | | When building GNU Smalltalk libsigsegv will be available and m4 will start to use it. This leads to the below warning: WARNING: QA Issue: m4 rdepends on libsigsegv, but it isn't a build dependency? [build-deps] Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* diffutils: Disable searching for libsigsegvHolger Hans Peter Freyther2014-12-271-0/+2
| | | | | | | | | | After building GNU Smalltalk libsigsegv is in the sysroot and will be picked-up by diffutils. This lead to the below warning: WARNING: QA Issue: m4 rdepends on libsigsegv, but it isn't a build dependency? [build-deps] Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>